indexing

	description: "Syntax for a configuration file for hpmodeset"
	author: "Glenn Maughan <glennm@insect.sd.monash.edu.au>"
	status: "See notice at end of class"
	date: "1996/01/18 10:02:44"
	revision: "1.1.1.1"

class S_HP_CONFIG 
	
inherit
	
	AGGREGATE
	
feature -- Access
	
	production: LINKED_LIST [CONSTRUCT] is
		local
			section_list: SECTION_LIST
		once
			!! Result.make;
			Result.forth;
			put (global_list)
			global_list.set_optional
			!! section_list.make 
			put (section_list)
		end; -- production
	
	construct_name: STRING is
		once
			Result := "Hp_config"
		end; -- construct_name
	
end -- class S_HP_CONFIG

--| hpmodeset - Print file encapsulation utility.
--| Copyright (C) 1995 Glenn Maughan <glennm@insect.sd.monash.edu.au>
--|
--| This program is free software; you can redistribute it and/or modify
--| it under the terms of the GNU General Public License as published by
--| the Free Software Foundation; either version 2 of the License, or
--| (at your option) any later version.
--|
--| This program is distributed in the hope that it will be useful,
--| but WITHOUT ANY WARRANTY; without even the implied warranty of
--| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--| GNU General Public License for more details.
--|
--| You should have received a copy of the GNU General Public License
--| along with this program; if not, write to the Free Software
--| Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
