indexing

	description: "Syntax for a printer setting"
	author: "Glenn Maughan <glennm@insect.sd.monash.edu.au>"
	status: "See notice at end of class"
	date: "1996/01/18 10:02:44"
	revision: "1.1.1.1"

class S_SETTING 
	
inherit
	
	CHOICE
	
feature -- Syntax
	
	production: LINKED_LIST [CONSTRUCT] is
		local
			alpha: ALPHA_TYPE
			numeric: NUMERIC_TYPE
			real: REAL_TYPE
			string: STRING_TYPE
			interval: INTERVAL_TYPE
		once
			!! Result.make;
			Result.forth;
			!! alpha.make
			put (alpha)
			!! numeric.make
			put (numeric)
			!! string.make
			!! real.make
			put (real)
			put (string)
			!! interval.make
			put (interval)
		end; -- production
	
feature -- Status Report
	
	construct_name: STRING is
		once
			Result := "Setting"
		end; -- construct_name
	
end -- class S_SETTING

--| hpmodeset - Print file encapsulation utility.
--| Copyright (C) 1995 Glenn Maughan <glennm@insect.sd.monash.edu.au>
--|
--| This program is free software; you can redistribute it and/or modify
--| it under the terms of the GNU General Public License as published by
--| the Free Software Foundation; either version 2 of the License, or
--| (at your option) any later version.
--|
--| This program is distributed in the hope that it will be useful,
--| but WITHOUT ANY WARRANTY; without even the implied warranty of
--| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--| GNU General Public License for more details.
--|
--| You should have received a copy of the GNU General Public License
--| along with this program; if not, write to the Free Software
--| Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
